//
//  AuthRepository.swift
//  SodaLive
//
//  Created by klaus on 2023/08/10.
//

import Foundation
import CombineMoya
import Combine
import Moya

final class AuthRepository {
    private let api = MoyaProvider<AuthApi>()
    
    func authCertificate(receiptId: String) -> AnyPublisher<Response, MoyaError> {
        return api.requestPublisher(.auth(request: AuthVerifyRequest(receiptId: receiptId)))
    }
}

